CHECK_PATTERN(9)

NAME
check_pattern - [GENERIC] check if a pattern is in the buffer

SYNOPSIS

int check_pattern (uint8_t * buf, int len, int paglen, struct nand_bbt_descr * td);

ARGUMENTS

buf the buffer to search

len the length of buffer to search

paglen
    the pagelength

td  search pattern descriptor

DESCRIPTION

Check for a pattern at the given place. Used to search bad block tables and good / bad block identifiers. If the SCAN_EMPTY option is set then check, if all bytes except the pattern area contain 0xff

AUTHOR
Thomas Gleixner <tglx@linutronix.de>.